using Newtonsoft.Json;

namespace SGModule.ApplePay
{
    public class ApplePayData
    {
        [JsonProperty("innerOrderId")]
        public string innerOrderId;
        [JsonProperty("amount")]
        public int amount;
        [JsonProperty("sku")]
        public string sku;
        [JsonProperty("currency")]
        public string currency = "USD";
        [JsonProperty("shopName")]
        public string shopName;
        [JsonProperty("type")]
        public string type;

    }

    public class AppleCheckData
    {
        [JsonProperty("signedPayload")]
        public string signedPayload;
        [JsonProperty("innerOrderId")]
        public string innerOrderId;
    }   
    
    public class AppleSubscribeData
    {
        [JsonProperty("signedPayload")]
        public string signedPayload;
        [JsonProperty("sku")]
        public string sku;
        [JsonProperty("currency")]
        public string currency;
        [JsonProperty("amount")]
        public int amount;
        [JsonProperty("expires_time")]
        public long expires_time;
    }
}